<?
if(isset($_POST['text']))
{
$text=$_POST['text'];
if(strlen2($text)<1)echo err_game("Введите текст рассылки.");
else
{
if($_POST['onlyDirection']==1)$ku=" AND (`status` < '3' OR `status` = '3')";else $ku=NULL;
$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` != '$ku[id]'$d");
$msg="Рассылка колхоза:
$text";
while($post=mysql_fetch_array($q))
{
$uk=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[id_user]'"));
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$uk[id]', `id_kont` = '$ku[id]', `msg` = '".my_esc($msg)."', `time` = '$time', `type` = 'to'");
}
header("Location:?mailing");
exit;
}
}
echo "<div class='event'><h1><a href='?collective=$mc[id]'>".hsc($mc['name'])."</a> / Почтамт</h1></div>
<div class='content'>
<div class='block'>
<div></div>
<div class='minor'>На почтамте Вы можете написать письмо и разослать его всем участникам вашего колхоза.</div>";
echo "<form method='post'>
<div>
<label>
<input type='checkbox' name='onlyDirection'>
Правлению колхоза
</label>
</div>
<div>
<label>Текст рассылки:<br>
<textarea rows='5' class='wide' name='text'></textarea>
</label>
</div>
<div>
<input type='submit' value='Отправить'>
</div>
</form>
</div>";
include_once 'inc/foot.php';
?>